9.10 - No descarga paquetes ni actualizaciones

Imagen de Titanio Verde
0 puntos

Veamos... Había vuelto a aventurarme con Linux. Hace casi tres semanas instalé Ubuntu 9.04. Hace una semana, probé a actualizarlo a 9.10, mediante CD alternativo. Me costó un poco hacerle entender que no quería descargar nada, si ya lo tenía en el CD. (Desenchufando cable de red... lalala...)

La interfaz ha mejorado, vale. Me pregunta por la contraseña cada vez que quiero entrar en una de mis particiones anteriores (que uso cada día) y se queja de que uno de mis discos duros tiene 122 sectores defectuosos (ya he leído que puede ser un bug).
Hasta aquí no me importa, pues ya llevo 6 días sin sentir la necesidad de volver a Windows. Investigaré, o esperaré a que las actualizaciones lo arreglen.

Ahora viene el problema. No es capaz de descargar actualizaciones ni nuevos paquetes. Cada vez que busca algo de tipo translation-es, indica que la descarga falla, y no continúa con el proceso.
He probado a cambiar la ubicación del servidor (según el asistente, el mejor para mí es uno de Irlanda), pero sigue igual. Como si los repositorios para 9.10 en castellano todavía no existieran.
Existen, ¿verdad? Porque no he visto ninguna queja por aquí.

¿Sugerencias que no conlleven reinstalación de Ubuntu?

Una anécdota de premio: la primera vez que usé el asistente para buscar el mejor servidor de paquetes, en mitad del proceso se me colgó el router. :S

Imagen de seroku
+1
0
-1

parece problema de los repositos que se haya estropeado entra en consola y pon sudo gedit /etc/apt/sources.list

y ahora pon estos paquetes por la distribucion que tengas

Estos son los usuales, los puedes usar sin riesgo

deb http://archive.canonical.com/ubuntu jaunty partner
deb-src http://archive.canonical.com/ubuntu jaunty partner
deb http://archive.ubuntu.com/ubuntu/ jaunty main universe restricted multiverse
deb-src http://archive.ubuntu.com/ubuntu/ jaunty main universe restricted multiverse #Added by software-properties
deb http://security.ubuntu.com/ubuntu/ jaunty-security universe main multiverse restricted
deb-src http://security.ubuntu.com/ubuntu/ jaunty-security universe main multiverse restricted
deb http://archive.ubuntu.com/ubuntu/ jaunty-updates universe main multiverse restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-updates universe main multiverse restricted

Estos son experimentales y de uso riesgoso

deb http://archive.ubuntu.com/ubuntu/ jaunty-proposed universe main multiverse restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-proposed universe main multiverse restricted
deb http://archive.ubuntu.com/ubuntu/ jaunty-backports universe main multiverse restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-backports universe main multiverse restricted
deb http://ppa.launchpad.net/fta/ubuntu jaunty main
deb-src http://ppa.launchpad.net/fta/ubuntu jaunty main
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu jaunty main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu jaunty main
deb http://ppa.launchpad.net/mozillateam/ubuntu jaunty main
deb-src http://ppa.launchpad.net/mozillateam/ubuntu jaunty main
deb http://packages.medibuntu.org/ jaunty free non-free
deb-src http://packages.medibuntu.org/ jaunty free non-free

+1
0
-1
Imagen de Titanio Verde
+1
0
-1

Probaré, aunque... ¿jaunty? ¿Eso sirve también para Karmic Koala?
Aunque si no sirve tal cual, quizás sustituyendo jaunty por karmic baste, ¿no? :D

EDIT: Falla exactamente igual, con los mismos paquetes Translation-es y Release.gpg. Aunque antes, con los servidores irlandeses, me devolvía Error 101: No se puede alcanzar la dirección. Ahora dice directamente, intentándolo de nuevo con servidores españoles, que no se ha podido conectar a es.archive.ubuntu.com (32.1.7.32).

Esa IP me parece un poco rara... No será un fallo de DNS, ¿verdad?

EDIT2: Ahora sí me está descargando algunas actualizaciones, incluyendo del kernel. o_o Cada vez lo entiendo menos.

+1
0
-1
Imagen de seroku
+1
0
-1

oO si si por valer vale, solo tienes que poner la version que tengas, respecto a lo de las dns es algo raro pero todo puede ser voy a investigar aer si encuentro la solucion y te lo comunico, si encuentras algo nuevo o te sucede algo distinto avisas y vamos mirando para llegar a la solucion y que no tengas problemas

+1
0
-1
Imagen de Titanio Verde
+1
0
-1

Me he atrevido, y he sustituido todo el contenido de mi sources.lst por las direcciones que me ha brindado, señor Seroku, y he reemplazado todos sus jaunty por karmic. (Tranquilo, guardé antes una copia)

Me sigue fallando al descargar Translation-es. Pero ¡oh! Ahora el gestor de actualizaciones ¡me muestra actualizaciones! Y ¿además se pueden descargar?
...

YESSS! ¡Sí funciona!
¿Y ahora podré instalarme algún programa nuevo?
...

¡Toma ya! Apt vuelve a funcionar como tanto me gusta en los hijos de Debian.

Lo cierto es que habían bastantes direcciones de sobra ahí dentro. Supongo que si a alguien le sucede lo mismo, lo podrá solucionar como yo.
Gracias por la atención, señor Seroku. [reverencia]
Aún me quedan otras incomodidades generadas por 9.10, pero eso ya es otro tema.

Hasta la siguiente duda.

+1
0
-1
Imagen de seroku
+1
0
-1

jajajajajaj me alegro que te haya servido y guauuu señor jajajaa es la primera vez que me lo dicen jajaja que solo tengo 23 años ju xDDD

+1
0
-1